BERSequence (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class BERSequence

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Sequence
      - - org.bouncycastle.asn1.BERSequence

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class BERSequence
      extends ASN1Sequence

- - ### Field Summary

    - ### Fields inherited from class org.bouncycastle.asn1.ASN1Sequence

      `seq`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BERSequence()` create an empty sequence
    `BERSequence(ASN1Encodable obj)` create a sequence containing one object
    `BERSequence(ASN1Encodable[] array)` create a sequence containing an array of objects.
    `BERSequence(ASN1EncodableVector v)` create a sequence containing a vector of objects.

  - ### Method Summary

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Sequence

      `getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, toArray, toString`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BERSequence

          public BERSequence()

      create an empty sequence

    - #### BERSequence

          public BERSequence(ASN1Encodable obj)

      create a sequence containing one object

    - #### BERSequence

          public BERSequence(ASN1EncodableVector v)

      create a sequence containing a vector of objects.

    - #### BERSequence

          public BERSequence(ASN1Encodable[] array)

      create a sequence containing an array of objects.